///
/// Hyperspace by HTML5 UP
/// html5up.net | @ajlkn
/// Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
///

/* Type */

	body, input, select, textarea {
		color: _palette(fg);
		font-family: _font(family);
		font-size: 16.5pt;
		font-weight: _font(weight);
		line-height: 1.75;

		@include breakpoint(xlarge) {
			font-size: 13pt;
		}

		@include breakpoint(large) {
			font-size: 12pt;
		}

		@include breakpoint(xxsmall) {
			font-size: 11pt;
		}
	}

	a {
		@include vendor('transition', (
			'color #{_duration(transition)} ease',
			'border-bottom-color #{_duration(transition)} ease'
		));
		border-bottom: dotted 1px _palette(fg-light);
		color: inherit;
		text-decoration: none;
		&.link-note {
			color: _palette(fg);
		}

		&:hover {
			border-bottom-color: transparent;
			color: _palette(fg-bold);
		}
	}

	strong, b {
		color: _palette(fg-bold);
		font-weight: _font(weight-bold);
	}

	em, i {
		font-style: italic;
	}

	p {
		margin: 0 0 _size(element-margin) 0;

		&.major {
			font-size: 1.25em;
			line-height: 1.55em;
		}

		&.home {
			font-size: 1.25em;
			line-height: 1.55em;
		}

		&.description {
			padding-bottom: 3.5em;
		}
	}

	h1, h2, h3, h4, h5, h6 {
		color: _palette(fg-bold);
		font-weight: _font(weight-bold);
		line-height: 1.25;
		margin: 0 0 (_size(element-margin) * 0.25) 0;

		a {
			color: inherit;
			text-decoration: none;
		}
	}

	h1 {
		font-size: 3.25em;

		&.memo {
			font-size: 2.15em;
			max-width: 70%;
			margin-bottom: 0;
		}

		&.glossary {
			font-size: 4em;
			padding: 0;
			text-align: center;
				>span {
				@include vendor('background-image', 'linear-gradient(to right, #{_palette(accent4)}, #{_palette(accent4)}, #{_palette(accent4)}, #{_palette(accent4)}, #{_palette(accent4)}, #{_palette(accent5)}, #{_palette(accent5)}, #{_palette(accent4)}, #{_palette(accent4)}, #{_palette(accent4)}, #{_palette(accent4)}, #{_palette(accent4)})');
				@include vendor('transition', 'max-width #{_duration(transition)} ease');
				border-radius: 0.5em;
				height: 0.02em;
				display: flex; 
				// left: 0em;
				// top: 1.5em;
				width: 100%;
				}
		}

		&.home {
			font-size: 3.75em;
		}

		&.major {
			// margin: 0 0 (_size(element-margin) * 0.65) 0;
			text-align: center;
			// position: relative;
			padding-bottom: 1.25em;

			// &:after {
			// 	@include vendor('background-image', 'linear-gradient(to right, #{_palette(accent4)}, #{_palette(accent5)})');
			// 	@include vendor('transition', 'max-width #{_duration(transition)} ease');
			// 	border-radius: 0.5em;
			// 	bottom: 0;
			// 	content: '';
			// 	height: 0.04em;
			// 	position: absolute;
			// 	left: 0;
			// 	width: 30%;
			// }
		}
	}

	h2 {
		font-size: 1.55em;

		&.memo {
			font-weight: _font(weight);
		}
		

	}

	h3 {
		font-size: 1.1em;
	}

	h4 {
		font-size: 1em;
		&.glossary {
			font-size: 1.25em;
			margin-bottom: 1.5em;
			text-align: center;
		}
	}

	h5 {
		font-size: 0.8em;
	}

	h6 {
		font-size: 0.6em;
	}

	@include breakpoint(small) {
		h1 {
			font-size: 1.85em;
			&.memo {
				font-size: 1.55em;
			}
			&.home {
				font-size: 2.25em;
			}
			&.major {
				margin-top: 7em;
			}
		}

		h2 {
			font-size: 1.25em;
			&.memo {
				font-weight: _font(weight);
			}
			&.glossary {
				margin-bottom: 0;
				padding: 0;
			}
		}

		h3 {
			font-size: 1em;
		}

		h4 {
			font-size: 1em;
			&.glossary {
				margin: 0;
				text-align: center;
			}
		}

		h5 {
			font-size: 0.6em;
		}

		h6 {
			font-size: 0.6em;
		}
	}

	sub {
		font-size: 0.8em;
		position: relative;
		top: 0.5em;
	}

	sup {
		font-size: .9em;
    	font-weight: bolder;
		position: relative;
		top: -0.5em;
		color: _palette(fg-bold);
		cursor: pointer;
	}

	.ui-widget.ui-widget-content {
		border: 0.5px solid _palette(fg);
		@include breakpoint(small) {
			width: 300px;
			text-align: center;
		}
	}
	.ui-tooltip {
		color: _palette(fg-bold);
		background-color: _palette(bg);
		font-family: _font(family);
		font-size: .75em;
		@include breakpoint(small) {
			left: 10px !important;
		}
	}
	

	blockquote {
		border-left: solid (_size(border-width) * 4) _palette(border);
		font-style: italic;
		margin: 0 0 _size(element-margin) 0;
		padding: (_size(element-margin) / 4) 0 (_size(element-margin) / 4) _size(element-margin);
	}

	code {
		background: _palette(border-bg);
		border-radius: _size(border-radius);
		border: solid _size(border-width) _palette(border);
		font-family: _font(family-fixed);
		font-size: 0.9em;
		margin: 0 0.25em;
		padding: 0.25em 0.65em;
	}

	pre {
		-webkit-overflow-scrolling: touch;
		font-family: _font(family-fixed);
		font-size: 0.9em;
		margin: 0 0 _size(element-margin) 0;

		code {
			display: block;
			line-height: 1.75em;
			padding: 1em 1.5em;
			overflow-x: auto;
		}
	}

	hr {
		border: 0;
		border-bottom: solid _size(border-width) _palette(border);
		margin: _size(element-margin) 0;

		&.major {
			margin: (_size(element-margin) * 1.5) 0;
		}
	}

	.align-left {
		text-align: left;
	}

	.align-center {
		text-align: center;
	}

	.align-right {
		text-align: right;
	}